# Uses of Class
org.apache.sysds.parser.dml.DmlParser.DataIdentifierContext

Packages that use DmlParser.DataIdentifierContext
Package
Description
org.apache.sysds.parser.dml

## Uses of DmlParser.DataIdentifierContext in org.apache.sysds.parser.dml

Subclasses of DmlParser.DataIdentifierContext in org.apache.sysds.parser.dml
Modifier and Type
Class
Description
`static class`
`DmlParser.CommandlineParamExpressionContext`
`static class`
`DmlParser.CommandlinePositionExpressionContext`
`static class`
`DmlParser.IndexedExpressionContext`
`static class`
`DmlParser.SimpleDataIdentifierExpressionContext`
Fields in org.apache.sysds.parser.dml declared as DmlParser.DataIdentifierContext
Modifier and Type
Field
Description
`DmlParser.DataIdentifierContext`
DmlParser.IfdefAssignmentStatementContext.`commandLineParam`
`DmlParser.DataIdentifierContext`
DmlParser.FunctionCallMultiAssignmentStatementContext.`dataIdentifier`
`DmlParser.DataIdentifierContext`
DmlParser.AccumulatorAssignmentStatementContext.`targetList`
`DmlParser.DataIdentifierContext`
DmlParser.AssignmentStatementContext.`targetList`
`DmlParser.DataIdentifierContext`
DmlParser.FunctionCallAssignmentStatementContext.`targetList`
`DmlParser.DataIdentifierContext`
DmlParser.IfdefAssignmentStatementContext.`targetList`
Fields in org.apache.sysds.parser.dml with type parameters of type DmlParser.DataIdentifierContext
Modifier and Type
Field
Description
`List<DmlParser.DataIdentifierContext>`
DmlParser.FunctionCallMultiAssignmentStatementContext.`targetList`
Methods in org.apache.sysds.parser.dml that return DmlParser.DataIdentifierContext
Modifier and Type
Method
Description
`DmlParser.DataIdentifierContext`
DmlParser.AccumulatorAssignmentStatementContext.`dataIdentifier()`
`DmlParser.DataIdentifierContext`
DmlParser.AssignmentStatementContext.`dataIdentifier()`
`final DmlParser.DataIdentifierContext`
DmlParser.`dataIdentifier()`
`DmlParser.DataIdentifierContext`
DmlParser.DataIdExpressionContext.`dataIdentifier()`
`DmlParser.DataIdentifierContext`
DmlParser.FunctionCallAssignmentStatementContext.`dataIdentifier()`
`DmlParser.DataIdentifierContext`
DmlParser.FunctionCallMultiAssignmentStatementContext.`dataIdentifier(int i)`
`DmlParser.DataIdentifierContext`
DmlParser.IfdefAssignmentStatementContext.`dataIdentifier(int i)`
Methods in org.apache.sysds.parser.dml that return types with arguments of type DmlParser.DataIdentifierContext
Modifier and Type
Method
Description
`List<DmlParser.DataIdentifierContext>`
DmlParser.FunctionCallMultiAssignmentStatementContext.`dataIdentifier()`
`List<DmlParser.DataIdentifierContext>`
DmlParser.IfdefAssignmentStatementContext.`dataIdentifier()`
Methods in org.apache.sysds.parser.dml with parameters of type DmlParser.DataIdentifierContext
Modifier and Type
Method
Description
`void`
DmlParser.DataIdentifierContext.`copyFrom(DmlParser.DataIdentifierContext ctx)`
Constructors in org.apache.sysds.parser.dml with parameters of type DmlParser.DataIdentifierContext
Modifier
Constructor
Description
``
`CommandlineParamExpressionContext(DmlParser.DataIdentifierContext ctx)`
``
`CommandlinePositionExpressionContext(DmlParser.DataIdentifierContext ctx)`
``
`IndexedExpressionContext(DmlParser.DataIdentifierContext ctx)`
``
`SimpleDataIdentifierExpressionContext(DmlParser.DataIdentifierContext ctx)`